import { HttpController } from './HttpController';
import { HttpHandler } from './HttpHandler';
import { Server } from './Server';
export declare abstract class Router {
    prefix: string;
    protected controllers: Record<string, HttpController>;
    handlers: Record<string, HttpHandler>;
    constructor(prefix: string, controllers: Record<string, HttpController>);
    protected path(path?: string): string;
    abstract register(server: Server): void;
}
//# sourceMappingURL=Router.d.ts.map